//+------------------------------------------------------------------+
//|                                                  HLine Alert.mq4 |
//+------------------------------------------------------------------+
#property copyright "CHOMIK"
#property version   "1.00"
#property description "2 horizontal resistance and 2 horizontal support lines"

#property indicator_chart_window
extern string LineName1="S2";
extern string LineName2="S1";
extern string LineName3="R1";
extern string LineName4="R2";
extern color LineColor1=Lime; 
extern color LineColor2=Lime; 
extern color LineColor3=Red; 
extern color LineColor4=Red; 
extern int LineStyle1=STYLE_SOLID;
extern int LineStyle2=STYLE_SOLID;
extern int LineStyle3=STYLE_SOLID;
extern int LineStyle4=STYLE_SOLID;
extern double SUPPORT_2 = 0.0;
extern double SUPPORT_1 = 0.0;
extern double RESISTANCE_1 = 0.0;
extern double RESISTANCE_2 = 0.0;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();

      ObjectCreate(LineName1, OBJ_HLINE, 0, 0, SUPPORT_2);
      ObjectSet(LineName1, OBJPROP_STYLE, LineStyle1);
      ObjectSet(LineName1, OBJPROP_COLOR, LineColor1);
      
      ObjectCreate(LineName2, OBJ_HLINE, 0, 0, SUPPORT_1);
      ObjectSet(LineName2, OBJPROP_STYLE, LineStyle2);
      ObjectSet(LineName2, OBJPROP_COLOR, LineColor2);
      
      ObjectCreate(LineName3, OBJ_HLINE, 0, 0, RESISTANCE_1);
      ObjectSet(LineName3, OBJPROP_STYLE, LineStyle3);
      ObjectSet(LineName3, OBJPROP_COLOR, LineColor3);
      
      ObjectCreate(LineName4, OBJ_HLINE, 0, 0, RESISTANCE_2);
      ObjectSet(LineName4, OBJPROP_STYLE, LineStyle4);
      ObjectSet(LineName4, OBJPROP_COLOR, LineColor4);
      
       

//----
//----
   return(0);
  }
//+------------------------------------------------------------------+